Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class DOMImplementationImpl

    java.lang.Object
      weblogic.apache.xerces.dom.CoreDOMImplementationImpl
          weblogic.apache.xerces.dom.DOMImplementationImpl

All Implemented Interfaces:
  DOMImplementation, DOMImplementationLS

Direct Known Subclasses:
  ASDOMImplementationImpl, HTMLDOMImplementationImpl, WMLDOMImplementationImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class DOMImplementationImpl

extends CoreDOMImplementationImpl
implements DOMImplementation

The DOMImplementation class is description of a particular implementation of the Document Object Model. As such its data is static, shared by all instances of this implementation.

The DOM API requires that it be a real object rather than static methods. However, there's nothing that says it can't be a singleton, so that's how I've implemented it.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.

Field Summary

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`DOMImplementationImpl()` Deprecated.

Method Summary
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)` Deprecated. Introduced in DOM Level 2.
`DocumentType` | `createDocumentType(String qualifiedName, String publicID, String systemID)` Deprecated. Introduced in DOM Level 2.
`static DOMImplementation` | `getDOMImplementation()` Deprecated. NON-DOM: Obtain and return the single shared object
`boolean` | `hasFeature(String feature, String version)` Deprecated. Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

Methods inherited from class weblogic.apache.xerces.dom.CoreDOMImplementationImpl
`createDOMBuilder, createDOMInputSource, createDOMWriter, getInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`getFeature`

Methods inherited from interface org.w3c.dom.ls.DOMImplementationLS
`createLSInput, createLSOutput, createLSParser, createLSSerializer`

Constructor Detail

### DOMImplementationImpl

    public DOMImplementationImpl()

  Deprecated.

Method Detail

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  Deprecated.
  NON-DOM: Obtain and return the single shared object

### hasFeature

    public boolean hasFeature(String feature,
                              String version)

  Deprecated.
  Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

  Specified by:
    `hasFeature` in interface `DOMImplementation`
  Overrides:
    `hasFeature` in class `CoreDOMImplementationImpl`
  Parameters:
    `feature` - The package name of the feature to test. In Level 1, supported values are "HTML" and "XML" (case-insensitive). At this writing, weblogic.apache.xerces.dom supports only XML.
    `version` - The version number of the feature being tested. This is interpreted as "Version of the DOM API supported for the specified Feature", and in Level 1 should be "1.0"

### createDocumentType

    public DocumentType createDocumentType(String qualifiedName,
                                           String publicID,
                                           String systemID)

  Deprecated.
  Introduced in DOM Level 2.

  Creates an empty DocumentType node.

  Specified by:
    `createDocumentType` in interface `DOMImplementation`
  Overrides:
    `createDocumentType` in class `CoreDOMImplementationImpl`
  Parameters:
    `qualifiedName` - The qualified name of the document type to be created.
    `publicID` - The document type public identifier.
    `systemID` - The document type system identifier.
  Since:
    WD-DOM-Level-2-19990923

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  Deprecated.
  Introduced in DOM Level 2.

  Creates an XML Document object of the specified type with its document element.

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Overrides:
    `createDocument` in class `CoreDOMImplementationImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the document element to create, or null.
    `qualifiedName` - The qualified name of the document element to create.
    `doctype` - The type of document to be created or null.

    When doctype is not null, its Node.ownerDocument attribute is set to the document being created.

  Returns:
    Document A new Document object.
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document.
  Since:
    WD-DOM-Level-2-19990923

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD